      DIMENSION JB(2,3)
      Character*80 InFile

! For Watcom Fortran
!       If(nArgs() .le. 1) Then
! For g77
      If(IArgC() .lt. 1) Then
         Write(*, '(a)') ' ******  Fatal Error ******'
         Write(*, '(a)') '  Input file must be specified'
         Stop 9999
      EndIf
! For Watcom Fortran
!       Call GetArg(1, InFile, iStat)
! For g77
       Call GetArg(1, InFile)
      OPEN(1,FILE=InFile,iostat=ISO,STATUS='OLD')

      READ(1,*) IL,NGEN,INV
      CALL TSPACE(IL)
      DO 1 I=1,NGEN
      READ(1,*) JA,JB
      CALL TSGENR(JA,JB)
    1 CONTINUE
      CALL TSPGRP(INV)
      CALL TSPGDS
      pause
      STOP
      END 
